Subject: [EAI] Issue: IRI (Section 5)

From: Ted Hardie <[email-masked]>
Date: Tue, 19 Jan 2010 13:58:50 -0800

The current document says:

   These mailing list header fields contain URLs.  The most common
    schemes are generally HTTP, HTTPS, mailto, and FTP.  The URLs in
    these fields can use RFC3987 "Internationalized Resource Identifier
    (IRI)" [IRI] encoded as URLs.  Future work may extend these header
|    fields or define replacements to directly support non-encoded UTF-8
    in IRIs (for example, [mailto-bis]), but in the absence of such
    extension or replacement, non-ASCII characters can only appear
    within IRIs when properly encoded.  Note that internationalized
    domain names could potentially be either percent-encoded or
    puny-coded, but punycode is likely to have better results.

This is not quite correct.  RFC 3987 IRIs can only be used for
schemes which have defined an IRI form (except in that all
URIs are also IRIs).  I would reconstruct this slightly to say:

These mailing list header fields contain URLs.  The most common
    schemes are generally HTTP, HTTPS, mailto, and FTP.
 Schemes which permit both URI and IRI  [IRI] forms should use the
 URI-encoded form described in RFC 3987. Future work may extend
   these header  fields or define replacements to directly support
non-encoded UTF-8
    in IRIs (for example, [mailto-bis]), but in the absence of such
    extension or replacement, non-ASCII characters can only appear
    within when encoded as ASCII.  Note that discussion
  on whether internationalized domain names should be  percent-encoded or
    puny-coded, is ongoing; see [IRI-bis]
http://tools.ietf.org/html/draft-duerst-iri-bis .

I understand that the WG for IRIs may be chartered soon, so it may
be appropriate to refer to it by the time of publication.

regards,

Ted